Recommended update for python-kiwi

SUSE Recommended Update: Recommended update for python-kiwi
Announcement ID: SUSE-RU-2018:4220-1
Rating: moderate
References: #1110871
Affected Products:
  • SUSE Linux Enterprise Server for SAP 12-SP4
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Desktop 12-SP4

An update that has one recommended fix can now be installed.

Description:

This update for python-kiwi fixes the following issues:

  • Update flake8 call in tox.ini.

  • Add Codec utils for bytes literals decoding. (bsc#1110871)

  • Make use of the quiet flag of mountpoint command.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server for SAP 12-SP4:
    zypper in -t patch SUSE-SLE-SAP-12-SP4-2018-3034=1
  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2018-3034=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2018-3034=1

Package List:

  • SUSE Linux Enterprise Server for SAP 12-SP4 (x86_64):
    • kiwi-pxeboot-9.16.18-3.3.2
  • SUSE Linux Enterprise Server 12-SP4 (aarch64 ppc64le s390x x86_64):
    • kiwi-man-pages-9.16.18-3.3.2
    • kiwi-tools-9.16.18-3.3.2
    • kiwi-tools-debuginfo-9.16.18-3.3.2
    • python-kiwi-debugsource-9.16.18-3.3.2
    • python2-kiwi-9.16.18-3.3.2
  • SUSE Linux Enterprise Desktop 12-SP4 (x86_64):
    • kiwi-tools-9.16.18-3.3.2
    • kiwi-tools-debuginfo-9.16.18-3.3.2
    • python-kiwi-debugsource-9.16.18-3.3.2

References: